<app-header [buttonTitle]="isNew ? 'Δημιουργία' : 'Ενημέρωση'" [buttonIcon]="isNew ? 'add' : 'edit'" [title]="product ? product?.title : 'Το Προϊόν'"
            (action)="isNew ? createProduct() : updateProduct()" [hasAction]="true" [hasDeleteAction]="true"
            (deleteAction)="deleteAction()">
</app-header>

<div fxLayout="column">

  <div fxLayout="row">

    <div fxLayout="column" fxFlex="30">
      <div>
        <img *ngIf="!product?.imageBlob" src="assets/images/default-product.png" alt="alt" style="width: 450px;" />
        <img *ngIf="product?.imageBlob" [src]="domSanitizer.bypassSecurityTrustResourceUrl(image)" alt="alt" style="width: 450px;" />
      </div>

      <div style="text-align: center; margin-top: 1rem;">
        <label (click)="fileInput.click()" style="text-decoration: underline; cursor: pointer; ">Ενημέρωση φωτογραφίας</label>
      </div>

      <input #fileInput type="file" (change)="onFileInput($event)"
             accept="image/png, image/jpeg" style="display:none;" />

      <button *ngIf="!isNew" mat-flat-button (click)="updateImage()">Ενημέρωση φωτογραφίας</button>
    </div>


    <div fxLayout="column" fxFlex="60">
      <div fxLayout="row wrap" *ngIf="product" fxFlex="100">

        <mat-form-field appearance="fill" class="detailField">
          <mat-label>Τίτλος *</mat-label>
          <input matInput [(ngModel)]="product.title">
        </mat-form-field>

        <mat-form-field appearance="fill" class="detailField">
          <mat-label>Κατηγορία *</mat-label>
          <mat-select [(ngModel)]="product.categoryId">
            <mat-option *ngFor="let category of categories" [value]="category.id">{{category.description}}</mat-option>
          </mat-select>
        </mat-form-field>

        <mat-form-field appearance="fill" class="detailField">
          <mat-label>Τιμή *</mat-label>
          <input matInput [(ngModel)]="product.price" type="number">
        </mat-form-field>

        <mat-form-field appearance="fill" class="detailField">
          <mat-label>Tιμή Έκπτωσης</mat-label>
          <input [disabled]="!product.hasDiscount" matInput [(ngModel)]="product.alternativePrice" type="number">
        </mat-form-field>

        <div class="detailField" fxLayoutAlign="end center"></div>
        <div class="detailField" fxLayoutAlign="end center">
          <mat-checkbox [checked]="product.hasDiscount" (change)="discountChange()">Έκπτωση</mat-checkbox>
        </div>

        <mat-form-field appearance="fill" class="detailField full-width">
          <mat-label>Περιγραφή</mat-label>
          <textarea style="height: 300px;"  matInput [(ngModel)]="product.description"></textarea>
        </mat-form-field>
      </div>
    </div>

  </div>


</div>
